Author Topic: Persistent Reactors Group  (Read 5443 times)

0 Members and 3 Guests are viewing this topic.

LE3

  • Guest
Re: Persistent Reactors Group
« Reply #15 on: June 03, 2010, 03:50:29 PM »
tried and does not return anything.... :-(

Ahhh! Arx....  :cry:
X2 :cry: :cry:
:-o
did a quick test command, someone wants to tried?... (will allow to select viewports only! for A2010)
Command: TEST1

It simple will display if the selected object have persistent reactors attached - then later if works we can add the return of list of objects... will see - maybe

LE3

  • Guest
Re: Persistent Reactors Group
« Reply #16 on: June 03, 2010, 10:07:21 PM »
ok... did a little research on some of my old stuff:
1. The persistent data it is saved inside of the dictionary: "VL-REACTORS" or can be verified using: (vlr-pers-dictname)
2. Just call: (entget (namedobjdict)) and in there will be something: (3 . "VL-REACTORS")
3. Then it can be access with: (setq dict (dictsearch (namedobjdict) (vlr-pers-dictname)))
4. Here extract the value below: (3 . "$DOC$")
5. After extracting the 350 value something like this will be in the list:
Quote
((-1 . <Entity name: 7eeb0530>)
  (0 . "VLO-VL")
  (5 . "19E")
  (102 . "{ACAD_REACTORS")
  (330 . <Entity name: 7eeb0500>)
  (102 . "}")
  (330 . <Entity name: 7eeb0500>)
  (100 . "vlo_VL")
  (90 . -64512)
  (91 . 179)
  (92 . 4)
  (340 . <Entity name: 7eeb04f0>)
  (340 . <Entity name: 7eeb04d8>)
  (340 . <Entity name: 7eeb0520>)
  (340 . <Entity name: 7eeb0518>)
  (300
    .
    "((&VLO-C Object-Reactor ((:VLR-modified . \"MODIFIED\")) ((&VLO-A . 0)) ((&VLO-A . 1)) 0 T) (&VLO-C Object-Reactor ((:VLR-modified . \"MODIFIED\")) ((&VLO-A . 2)) ((&VLO-A . 3)) 0 T))"))
Just study those values and you can get all the data necessary... hope that now it will really going to help, not just the vs (with b) posted before by me earlier...  :oops:

Lee Mac

  • Seagull
  • Posts: 12914
  • London, England
Re: Persistent Reactors Group
« Reply #17 on: June 04, 2010, 05:43:19 AM »
Thanks Luis - I don't know how you managed to find it, but well done - I'll have a play around with it and investigate  8-)

LE3

  • Guest
Re: Persistent Reactors Group
« Reply #18 on: June 06, 2010, 10:06:10 AM »
Nevermind, that doesn't work either...

Code: [Select]
(rwiz-partof (vlax-ename->vla-object (ssname (ssget '((0 . "VIEWPORT"))) 0)))
and my last try...
Quote
circle, lwpolyline...
_$ (setq ent (ssname (ssget '((0 . "VIEWPORT"))) 0))
_$ (vla-get-clipped (vlax-ename->vla-object ent))
:vlax-true

viewport...
_$ (setq ent (ssname (ssget '((0 . "VIEWPORT"))) 0))
_$ (vla-get-clipped (vlax-ename->vla-object ent))
:vlax-false

or to check the value of 90 dxf